/*
 
 d88b        888b    888b    d88888b    d88b  88888888b
 8888        8888    8888   d8888888b   8888  888888888b
 8888        8888    8888  888Y   888b  8888  888Y   888b
 8888        8888    8888  8888         8888  8888    8888
 8888        8888    8888  8888         8888  8888    8888
 8888        8888    8888  8888         8888  8888    8888
 8888        8888    8888  8888         8888  8888    8888
 8888        8888    8888  Y888   888P  8888  8888   888P
 888888888b  Y8888888888P   Y8888888P   8888  888888888P
 Y888888888   Y88888888P     Y88888P    Y88P  88888888P  ...:||[ 2006 ]||:..

    _________________________________
 -=(_)_______________________________)=-
   /   .   .   . ____  . ___      _/
  /~ /    /   / /     / /   )2006 /
 (~ (____(___/ (____ / /___/     (
  \ ----------------------------- \
   \     lucidnagual@gmail.com     \
    \_     ===================      \
     \   -Admin of "The Conjuring"-  \
      \_     ===================     ~\
       )       Advanced Archery        )
      /~    Version [3].0 & Above    _/
    _/_______________________________/
 -=(_)_______________________________)=-

 */

using System;
using Server.Items;
using Server.Mobiles;
using System.Collections;
using Server.Enums;
using Server.ACC.CM;


namespace Server.Saves
{
	public class SaveBaseRangedInfo
	{
		public static ArrayList m_BaseRanged = new ArrayList();
		
		public static void Initialize()
		{
			EventSink.Logout += new LogoutEventHandler( OnLogOut );
			EventSink.Login += new LoginEventHandler( OnLogIn );
			EventSink.WorldSave += new WorldSaveEventHandler( Save );
		}
		
		private static void OnLogIn( LoginEventArgs e )
		{
			Mobile from = e.Mobile;
			
			Load( from );
		}
		
		private static void OnLogOut( LogoutEventArgs e )
		{
			Mobile from = e.Mobile;
			
			Load( from );
		}
		
		public static void ModuleCheck( Mobile from )
		{
			Load( from );
		}
		
		private static void Load( Mobile from )
		{
			foreach ( Item item in World.Items.Values )
			{
				if ( item is BaseRanged )
				{
					m_BaseRanged.Add( item );
				}
			}
			
			foreach ( BaseRanged ranged in m_BaseRanged )
			{
				CentralMemory.AppendModule( ranged.Serial, new BaseRangedModule( ranged.Serial ), true );
				BaseRangedModule module = ( BaseRangedModule )CentralMemory.GetModule( ranged.Serial, typeof( BaseRangedModule ) );
				
				if ( ranged.m_HasBowString == true && ranged.StringStrengthSelection == StringStrength.NoString )
					ranged.m_HasBowString = false;
				
				if ( module != null )
				{
					//m_This = ranged;
					ranged.m_Module = module;
					module.m_Ranged = ranged;
					module.m_Serial = ranged.Serial;
					
					ranged.CheckStringCondition( from );
				}
				else
					return;
			}
		}
		
		private static void Save( WorldSaveEventArgs args )
		{
			//Mobile from = e.Mobile;
			
			//Load( from );
			return;
		}
	}
}
