/*[ Lucid Nagual ]--------------------------------------------[ ...:||[ 2007 ]||:.. ]

    _________________________________
 -=(_)_______________________________)=-
   /   .   .   . ____  . ___      _/
  /~ /    /   / /     / /   )2007 /
 (~ (____(___/ (____ / /___/     (
  \ ----------------------------- \
   \    lucidnagual@charter.net    \
    \_     ===================      \
     \   -Owner of "The Conjuring"-  \
      \_     ===================     ~\
       )      Lucid's Mega Pack        )
      /~    The Mother Load v1.1     _/
    _/_______________________________/
 -=(_)_______________________________)=-

 */
using System;
using System.Collections;
using Server;
using Server.Gumps;
using Server.Targeting;
using Server.Mobiles;
using Server.Network;
using Server.Commands;


namespace Server.ACC.CM
{
	public enum Rank
	{
		Civilian,
		Scholar,
		General,
		WarMonger,
		Hero,
		Monarch,
		Leader
	}

	public class LevelKeeperModule : Module
	{
		public static void Initialize()
		{
			CommandSystem.Register( "GetExp", AccessLevel.GameMaster, new CommandEventHandler( ExpGump_OnCommand ) );
			CommandSystem.Register( "MyExp", AccessLevel.Player, new CommandEventHandler( MyExp_OnCommand ) );
		}
		
		public override string Name(){ return "Level Keeper"; }
		
		private int m_RewardsClaimed;
		private int m_Rank;
		private int m_Level;
		private int m_SkillPts;
		private int m_Experience;
		private int m_Age;
		private int m_NextLevelUp;
		private bool m_Updated;
	
		[CommandProperty( AccessLevel.GameMaster )]
		public int RewardsClaimed{ get{ return m_RewardsClaimed; } set{ m_RewardsClaimed = value; } }
		
		[CommandProperty( AccessLevel.GameMaster )]
		public int Rank{ get{ return m_Rank; } set{ m_Rank = value; } }
		
		[CommandProperty( AccessLevel.GameMaster )]
		public int Level{ get{ return m_Level; } set{ m_Level = value; } }
		
		[CommandProperty( AccessLevel.GameMaster )]
		public int SkillPts{ get{ return m_SkillPts; } set{ m_SkillPts = value; } }
		
		[CommandProperty( AccessLevel.GameMaster )]
		public int Experience{ get{ return m_Experience; } set { m_Experience = value; } }
		
		[CommandProperty( AccessLevel.GameMaster )]
		public int Age{ get{ return m_Age; } set { m_Age = value; } }
		
		[CommandProperty( AccessLevel.GameMaster)]
		public int NextLevelUp
		{
			get{ return m_NextLevelUp; }
			set
			{
				if ( m_Level == 0 )
					m_NextLevelUp = 500;
				if ( m_Level == 1 )
					m_NextLevelUp = 1000;
				if ( m_Level == 2 )
					m_NextLevelUp = 2500;
				if ( m_Level == 3 )
					m_NextLevelUp = 5000;
				if ( m_Level == 4 )
					m_NextLevelUp = 10000;
				if ( m_Level == 5 )
					m_NextLevelUp = 25000;
				if ( m_Level == 6 )
					m_NextLevelUp = 50000;
				if ( m_Level == 7 )
					m_NextLevelUp = 100000;
				if ( m_Level == 8 )
					m_NextLevelUp = 200000;
				if ( m_Level == 9 )
					m_NextLevelUp = 300000;
				if ( m_Level == 10 )
					m_NextLevelUp = 400000;
				if ( m_Level == 11 )
					m_NextLevelUp = 500000;
				if ( m_Level == 12 )
					m_NextLevelUp = 600000;
				if ( m_Level == 13 )
					m_NextLevelUp = 700000;
				if ( m_Level == 14 )
					m_NextLevelUp = 800000;
				if ( m_Level == 15 )
					m_NextLevelUp = 900000;
				if ( m_Level == 16 )
					m_NextLevelUp = 1000000;
			}
		}
		
		[CommandProperty( AccessLevel.Administrator )]
		public bool Updated{ get{ return m_Updated; } set{ m_Updated = value; } }
		
		public LevelKeeperModule( Serial serial ) : this( serial, 0, 0, 0, 0, 0, 0, 0 )
		{
		}
		
		public LevelKeeperModule( Serial serial, int claimed, int rank, int level, int skillpts, int exp, int age, int lvlup ) : base( serial )
		{
			m_RewardsClaimed = claimed;
			m_Rank = rank;
			m_Level = level;
			m_SkillPts = skillpts;
			m_Experience = exp;
			m_Age = age;
			m_NextLevelUp = lvlup;
		}
		
		private static void ExpGump_OnCommand( CommandEventArgs e )
		{
			LevelKeeperModule RK = ( LevelKeeperModule )CentralMemory.GetModule( e.Mobile.Serial, typeof( LevelKeeperModule ) );
			
			e.Mobile.Target = new InternalTarget( RK );
		}
		
		private static void MyExp_OnCommand( CommandEventArgs e )
		{
			LevelKeeperModule exp_mod = (LevelKeeperModule)CentralMemory.GetModule( e.Mobile.Serial, typeof( LevelKeeperModule ) );
			if( exp_mod == null )
			{
				CentralMemory.AppendModule( e.Mobile.Serial, new LevelKeeperModule( e.Mobile.Serial, 0, 0, 0, 0, 0, 0, 0 ), true );
				e.Mobile.SendMessage( "Please try again" );
			}
			else
			{
				e.Mobile.SendMessage( "I have {0} experience points.", exp_mod.m_Experience );
				e.Mobile.SendMessage( "I have {0} skill points.", exp_mod.m_SkillPts );
				e.Mobile.SendMessage( "My level is {0}.", exp_mod.m_Level );
				e.Mobile.SendMessage( "My rank is {0}.", exp_mod.m_Rank );
				e.Mobile.SendMessage( "My age is {0}.", exp_mod.m_Age );
				e.Mobile.SendMessage( "Rewards claimed {0}.", exp_mod.m_RewardsClaimed );
			}
		}

		public override void Append( Module mod, bool negatively )
		{
			LevelKeeperModule lk = mod as LevelKeeperModule;
			
			m_RewardsClaimed = lk.RewardsClaimed;
			m_Rank = lk.Rank;
 			m_Level = lk.Level;
			m_SkillPts = lk.SkillPts;
			m_Experience = lk.Experience;
			m_Age = lk.Age;
			m_NextLevelUp = lk.NextLevelUp;
		}
		
		private class InternalTarget : Target
		{
			private LevelKeeperModule lk_mod;
			
			public InternalTarget( LevelKeeperModule mod ) : base( 1, false, TargetFlags.None )
			{
				lk_mod = mod;
			}
			
			protected override void OnTarget( Mobile from, object targeted )
			{
				if ( targeted is PlayerMobile )
				{
					PlayerMobile pm = ( PlayerMobile )targeted;
					LevelKeeperModule RK = ( LevelKeeperModule )CentralMemory.GetModule( pm.Serial, typeof( LevelKeeperModule ) );
					
					if ( RK != null )
						from.SendGump( new PropertiesGump( from, RK ) );
					else
					{
						from.SendMessage( "This player does not have a module. A new one has been created." );
						CentralMemory.AppendModule( from.Serial, new LevelKeeperModule( from.Serial ), true );
					}
				}
				else
					from.SendMessage("Can Only Target PLAYERS!");
			}
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 ); // version
	
			writer.Write( (int) m_RewardsClaimed);	
			writer.Write( (int) m_Rank);	
			writer.Write( (int) m_Level);
			writer.Write( (int) m_SkillPts);
			writer.Write( (int) m_Experience);
			writer.Write( (int) m_Age);
			writer.Write( (int) m_NextLevelUp);
			writer.Write( m_Updated );
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();

			m_RewardsClaimed = reader.ReadInt();
			m_Rank = reader.ReadInt();
			m_Level = reader.ReadInt();
			m_SkillPts = reader.ReadInt();
			m_Experience = reader.ReadInt();
			m_Age = reader.ReadInt();
			m_NextLevelUp = reader.ReadInt();
			m_Updated = reader.ReadBool();
		}
	}
}



